diff --git a/spec/defines/config_spec.rb b/spec/defines/config_spec.rb
index f9238c1..8e99525 100644
--- a/spec/defines/config_spec.rb
+++ b/spec/defines/config_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::config' do
@@ -13,31 +15,37 @@ describe 'nftables::config' do
       context 'with source and content both unset' do
         it { is_expected.to compile }
         it { is_expected.to contain_concat('nftables-FOO-BAR') }
+
         it {
-          is_expected.to contain_concat('nftables-FOO-BAR').with(
+          expect(subject).to contain_concat('nftables-FOO-BAR').with(
             path: '/etc/nftables/puppet-preflight/custom-FOO-BAR.nft',
             ensure_newline: true,
             mode: '0640'
           )
         }
+
         it { is_expected.to contain_file('/etc/nftables/puppet/custom-FOO-BAR.nft') }
+
         it {
-          is_expected.to contain_file('/etc/nftables/puppet/custom-FOO-BAR.nft').with(
+          expect(subject).to contain_file('/etc/nftables/puppet/custom-FOO-BAR.nft').with(
             ensure: 'file',
             source: '/etc/nftables/puppet-preflight/custom-FOO-BAR.nft',
             mode: '0640'
           )
         }
+
         it { is_expected.to contain_concat_fragment('nftables-FOO-BAR-header') }
+
         it {
-          is_expected.to contain_concat_fragment('nftables-FOO-BAR-header').with(
+          expect(subject).to contain_concat_fragment('nftables-FOO-BAR-header').with(
             target: 'nftables-FOO-BAR',
             order: '00',
             content: 'table FOO BAR {'
           )
         }
+
         it {
-          is_expected.to contain_concat_fragment('nftables-FOO-BAR-body').with(
+          expect(subject).to contain_concat_fragment('nftables-FOO-BAR-body').with(
             target: 'nftables-FOO-BAR',
             order: '98',
             content: '  include "FOO-BAR-chain-*.nft"'
@@ -60,9 +68,10 @@ describe 'nftables::config' do
         end
 
         it {
-          is_expected.not_to compile
+          expect(subject).not_to compile
         }
       end
+
       context 'with content set' do
         let(:params) do
           {
@@ -72,37 +81,44 @@ describe 'nftables::config' do
 
         it { is_expected.to compile }
         it { is_expected.to contain_concat('nftables-FOO-BAR') }
+
         it {
-          is_expected.to contain_concat('nftables-FOO-BAR').with(
+          expect(subject).to contain_concat('nftables-FOO-BAR').with(
             path: '/etc/nftables/puppet-preflight/custom-FOO-BAR.nft',
             ensure_newline: true,
             mode: '0640'
           )
         }
+
         it { is_expected.to contain_file('/etc/nftables/puppet/custom-FOO-BAR.nft') }
+
         it {
-          is_expected.to contain_file('/etc/nftables/puppet/custom-FOO-BAR.nft').with(
+          expect(subject).to contain_file('/etc/nftables/puppet/custom-FOO-BAR.nft').with(
             ensure: 'file',
             source: '/etc/nftables/puppet-preflight/custom-FOO-BAR.nft',
             mode: '0640'
           )
         }
+
         it { is_expected.to contain_concat_fragment('nftables-FOO-BAR-header') }
+
         it {
-          is_expected.to contain_concat_fragment('nftables-FOO-BAR-header').with(
+          expect(subject).to contain_concat_fragment('nftables-FOO-BAR-header').with(
             target: 'nftables-FOO-BAR',
             order: '00',
             content: 'table FOO BAR {'
           )
         }
+
         it {
-          is_expected.to contain_concat_fragment('nftables-FOO-BAR-body').with(
+          expect(subject).to contain_concat_fragment('nftables-FOO-BAR-body').with(
             target: 'nftables-FOO-BAR',
             order: '98',
             content: 'strange content'
           )
         }
       end
+
       context 'with source set' do
         let(:params) do
           {
@@ -111,7 +127,7 @@ describe 'nftables::config' do
         end
 
         it {
-          is_expected.to contain_concat_fragment('nftables-FOO-BAR-body').with(
+          expect(subject).to contain_concat_fragment('nftables-FOO-BAR-body').with(
             target: 'nftables-FOO-BAR',
             order: '98',
             source: 'puppet:///modules/foo'
diff --git a/spec/defines/rule_spec.rb b/spec/defines/rule_spec.rb
index 5e44c4c..02ea058 100644
--- a/spec/defines/rule_spec.rb
+++ b/spec/defines/rule_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rule' do
@@ -15,6 +17,7 @@ describe 'nftables::rule' do
         context 'with source and content both unset' do
           it { is_expected.not_to compile }
         end
+
         context 'with source and content both set' do
           let(:params) do
             {
@@ -25,7 +28,7 @@ describe 'nftables::rule' do
 
           it {
             pending('Setting source and content should be made to fail')
-            is_expected.not_to compile
+            expect(subject).not_to compile
           }
         end
 
@@ -36,20 +39,23 @@ describe 'nftables::rule' do
 
           it { is_expected.to compile.with_all_deps }
           it { is_expected.to contain_concat__fragment('nftables-inet-filter-chain-CHAIN_NAME-rule-RULE') }
+
           it {
-            is_expected.to contain_concat__fragment('nftables-inet-filter-chain-CHAIN_NAME-rule-RULE_header').with(
+            expect(subject).to contain_concat__fragment('nftables-inet-filter-chain-CHAIN_NAME-rule-RULE_header').with(
               order: '50-nftables-inet-filter-chain-CHAIN_NAME-rule-RULE-a',
               target: 'nftables-inet-filter-chain-CHAIN_NAME',
               content: %r{^#.*$}
             )
           }
+
           it {
-            is_expected.to contain_concat__fragment('nftables-inet-filter-chain-CHAIN_NAME-rule-RULE').with(
+            expect(subject).to contain_concat__fragment('nftables-inet-filter-chain-CHAIN_NAME-rule-RULE').with(
               order: '50-nftables-inet-filter-chain-CHAIN_NAME-rule-RULE-b',
               target: 'nftables-inet-filter-chain-CHAIN_NAME',
               content: '  port 22 allow'
             )
           }
+
           context 'with optional parameters set' do
             let(:params) do
               super().merge(order: '85',
@@ -57,15 +63,17 @@ describe 'nftables::rule' do
             end
 
             it {
-              is_expected.to contain_concat__fragment('nftables-TABLE-chain-CHAIN_NAME-rule-RULE_header').with(
+              expect(subject).to contain_concat__fragment('nftables-TABLE-chain-CHAIN_NAME-rule-RULE_header').with(
                 order: '85-nftables-TABLE-chain-CHAIN_NAME-rule-RULE-a',
                 target: 'nftables-TABLE-chain-CHAIN_NAME',
                 content: %r{^#.*$}
               )
             }
+
             it { is_expected.to contain_concat__fragment('nftables-TABLE-chain-CHAIN_NAME-rule-RULE') }
+
             it {
-              is_expected.to contain_concat__fragment('nftables-TABLE-chain-CHAIN_NAME-rule-RULE').with(
+              expect(subject).to contain_concat__fragment('nftables-TABLE-chain-CHAIN_NAME-rule-RULE').with(
                 order: '85-nftables-TABLE-chain-CHAIN_NAME-rule-RULE-b',
                 target: 'nftables-TABLE-chain-CHAIN_NAME',
                 content: '  port 22 allow'
@@ -83,20 +91,23 @@ describe 'nftables::rule' do
 
           it { is_expected.to compile.with_all_deps }
           it { is_expected.to contain_concat__fragment('nftables-inet-filter-chain-CHAIN_NAME-rule-RULE') }
+
           it {
-            is_expected.to contain_concat__fragment('nftables-inet-filter-chain-CHAIN_NAME-rule-RULE_header').with(
+            expect(subject).to contain_concat__fragment('nftables-inet-filter-chain-CHAIN_NAME-rule-RULE_header').with(
               order: '50-nftables-inet-filter-chain-CHAIN_NAME-rule-RULE-a',
               target: 'nftables-inet-filter-chain-CHAIN_NAME',
               content: %r{^#.*$}
             )
           }
+
           it {
-            is_expected.to contain_concat__fragment('nftables-inet-filter-chain-CHAIN_NAME-rule-RULE').with(
+            expect(subject).to contain_concat__fragment('nftables-inet-filter-chain-CHAIN_NAME-rule-RULE').with(
               order: '50-nftables-inet-filter-chain-CHAIN_NAME-rule-RULE-b',
               target: 'nftables-inet-filter-chain-CHAIN_NAME',
               source: 'puppet:///modules/foo/bar'
             )
           }
+
           context 'with optional parameters set' do
             let(:params) do
               super().merge(order: '85',
@@ -104,15 +115,17 @@ describe 'nftables::rule' do
             end
 
             it {
-              is_expected.to contain_concat__fragment('nftables-TABLE-chain-CHAIN_NAME-rule-RULE_header').with(
+              expect(subject).to contain_concat__fragment('nftables-TABLE-chain-CHAIN_NAME-rule-RULE_header').with(
                 order: '85-nftables-TABLE-chain-CHAIN_NAME-rule-RULE-a',
                 target: 'nftables-TABLE-chain-CHAIN_NAME',
                 content: %r{^#.*$}
               )
             }
+
             it { is_expected.to contain_concat__fragment('nftables-TABLE-chain-CHAIN_NAME-rule-RULE') }
+
             it {
-              is_expected.to contain_concat__fragment('nftables-TABLE-chain-CHAIN_NAME-rule-RULE').with(
+              expect(subject).to contain_concat__fragment('nftables-TABLE-chain-CHAIN_NAME-rule-RULE').with(
                 order: '85-nftables-TABLE-chain-CHAIN_NAME-rule-RULE-b',
                 target: 'nftables-TABLE-chain-CHAIN_NAME',
                 source: 'puppet:///modules/foo/bar'
@@ -134,15 +147,17 @@ describe 'nftables::rule' do
 
           it { is_expected.to compile.with_all_deps }
           it { is_expected.to contain_concat__fragment('nftables-inet-filter-chain-CHAIN_NAME-rule-RULE-22') }
+
           it {
-            is_expected.to contain_concat__fragment('nftables-inet-filter-chain-CHAIN_NAME-rule-RULE-22_header').with(
+            expect(subject).to contain_concat__fragment('nftables-inet-filter-chain-CHAIN_NAME-rule-RULE-22_header').with(
               order: '50-nftables-inet-filter-chain-CHAIN_NAME-rule-RULE-22-a',
               target: 'nftables-inet-filter-chain-CHAIN_NAME',
               content: %r{^#.*$}
             )
           }
+
           it {
-            is_expected.to contain_concat__fragment('nftables-inet-filter-chain-CHAIN_NAME-rule-RULE-22').with(
+            expect(subject).to contain_concat__fragment('nftables-inet-filter-chain-CHAIN_NAME-rule-RULE-22').with(
               order: '50-nftables-inet-filter-chain-CHAIN_NAME-rule-RULE-22-b',
               target: 'nftables-inet-filter-chain-CHAIN_NAME',
               content: '  port 22 allow'
diff --git a/spec/defines/rules/dnat4_spec.rb b/spec/defines/rules/dnat4_spec.rb
index a514398..3fcfeec 100644
--- a/spec/defines/rules/dnat4_spec.rb
+++ b/spec/defines/rules/dnat4_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rules::dnat4' do
diff --git a/spec/defines/rules/masquerade_spec.rb b/spec/defines/rules/masquerade_spec.rb
index c4106f1..5d1fb51 100644
--- a/spec/defines/rules/masquerade_spec.rb
+++ b/spec/defines/rules/masquerade_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rules::masquerade' do
@@ -14,6 +16,7 @@ describe 'nftables::rules::masquerade' do
         it { is_expected.to compile.with_all_deps }
         it { is_expected.to contain_nftables__rule('POSTROUTING-foobar').with_content('masquerade') }
       end
+
       context 'with dport specified' do
         let(:params) do
           {
diff --git a/spec/defines/rules/snat4_spec.rb b/spec/defines/rules/snat4_spec.rb
index 1e0ebb4..26ce607 100644
--- a/spec/defines/rules/snat4_spec.rb
+++ b/spec/defines/rules/snat4_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rules::snat4' do
@@ -19,6 +21,7 @@ describe 'nftables::rules::snat4' do
 
         it { is_expected.to compile.with_all_deps }
         it { is_expected.to contain_nftables__rule('POSTROUTING-foobar').with_content('snat sausage') }
+
         context 'with dport specified' do
           let(:params) do
             super().merge(dport: 1234)
diff --git a/spec/defines/set_spec.rb b/spec/defines/set_spec.rb
index 40b6964..afd599a 100644
--- a/spec/defines/set_spec.rb
+++ b/spec/defines/set_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::set' do
@@ -17,11 +19,12 @@ describe 'nftables::set' do
         end
 
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-inet-filter-set-my_set').with(
-            target:  'nftables-inet-filter',
+          expect(subject).to contain_concat__fragment('nftables-inet-filter-set-my_set').with(
+            target: 'nftables-inet-filter',
             content: %r{^  set my_set \{\n    type ipv4_addr\n  \}$}m,
-            order:   '10'
+            order: '10'
           )
         }
       end
@@ -68,11 +71,12 @@ describe 'nftables::set' do
         end
 
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-inet-filter-set-my_set').with(
-            target:  'nftables-inet-filter',
+          expect(subject).to contain_concat__fragment('nftables-inet-filter-set-my_set').with(
+            target: 'nftables-inet-filter',
             content: %r{^  set my_set \{\n    type ipv6_addr\n    elements = \{ 2001:1458::/32, 2001:1458:1::/48 \}\n  \}$}m,
-            order:   '10'
+            order: '10'
           )
         }
       end
@@ -88,11 +92,12 @@ describe 'nftables::set' do
         end
 
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-inet-filter-set-my_set').with(
-            target:  'nftables-inet-filter',
+          expect(subject).to contain_concat__fragment('nftables-inet-filter-set-my_set').with(
+            target: 'nftables-inet-filter',
             content: %r{^  set my_set \{\n    type ipv4_addr\n    flags interval, timeout\n    elements = \{ 192.168.0.1/24 \}\n    auto-merge\n  \}$}m,
-            order:   '10'
+            order: '10'
           )
         }
       end
@@ -107,11 +112,12 @@ describe 'nftables::set' do
         end
 
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-inet-filter-set-my_set').with(
-            target:  'nftables-inet-filter',
+          expect(subject).to contain_concat__fragment('nftables-inet-filter-set-my_set').with(
+            target: 'nftables-inet-filter',
             content: %r{^  set my_set \{\n    type ether_addr\n    elements = \{ aa:bb:cc:dd:ee:ff \}\n    policy memory\n  \}$}m,
-            order:   '10'
+            order: '10'
           )
         }
       end
@@ -124,11 +130,12 @@ describe 'nftables::set' do
         end
 
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-inet-filter-set-my_set').with(
-            target:  'nftables-inet-filter',
+          expect(subject).to contain_concat__fragment('nftables-inet-filter-set-my_set').with(
+            target: 'nftables-inet-filter',
             content: '  set my_set { }',
-            order:   '10'
+            order: '10'
           )
         }
       end
@@ -146,11 +153,12 @@ describe 'nftables::set' do
         end
 
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-inet-filter-set-my-set').with(
-            target:  'nftables-inet-filter',
+          expect(subject).to contain_concat__fragment('nftables-inet-filter-set-my-set').with(
+            target: 'nftables-inet-filter',
             content: %r{^  set my-set \{\n    type ether_addr\n  \}$}m,
-            order:   '10'
+            order: '10'
           )
         }
       end
@@ -165,11 +173,12 @@ describe 'nftables::set' do
         end
 
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-set-my_set').with(
-            target:  'nftables-ip-nat',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-set-my_set').with(
+            target: 'nftables-ip-nat',
             content: %r{^  set my_set \{\n    type ipv6_addr\n    elements = \{ 2001:1458::1, 2001:1458:1::2 \}\n  \}$}m,
-            order:   '10'
+            order: '10'
           )
         }
       end
@@ -191,21 +200,22 @@ describe 'nftables::set' do
           {
             type: 'ipv6_addr',
             elements: ['2001:1458::1', '2001:1458:1::2'],
-            table: ['inet-filter', 'ip-nat']
+            table: %w[inet-filter ip-nat]
           }
         end
 
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-inet-filter-set-my_set').with(
-            target:  'nftables-inet-filter',
+          expect(subject).to contain_concat__fragment('nftables-inet-filter-set-my_set').with(
+            target: 'nftables-inet-filter',
             content: %r{^  set my_set \{\n    type ipv6_addr\n    elements = \{ 2001:1458::1, 2001:1458:1::2 \}\n  \}$}m,
-            order:   '10'
+            order: '10'
           )
-          is_expected.to contain_concat__fragment('nftables-ip-nat-set-my_set').with(
-            target:  'nftables-ip-nat',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-set-my_set').with(
+            target: 'nftables-ip-nat',
             content: %r{^  set my_set \{\n    type ipv6_addr\n    elements = \{ 2001:1458::1, 2001:1458:1::2 \}\n  \}$}m,
-            order:   '10'
+            order: '10'
           )
         }
       end
diff --git a/spec/defines/simplerule_spec.rb b/spec/defines/simplerule_spec.rb
index ddfce72..15fec45 100644
--- a/spec/defines/simplerule_spec.rb
+++ b/spec/defines/simplerule_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::simplerule' do
@@ -11,8 +13,9 @@ describe 'nftables::simplerule' do
 
       describe 'minimum instantiation' do
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
+          expect(subject).to contain_nftables__rule('default_in-my_default_rule_name').with(
             content: 'accept',
             order: '50'
           )
@@ -56,8 +59,9 @@ describe 'nftables::simplerule' do
         end
 
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_nftables__rule('default_out-my_big_rule').with(
+          expect(subject).to contain_nftables__rule('default_out-my_big_rule').with(
             content: 'udp sport {444} udp dport {333} ip6 saddr 2001:145c::/32 ip6 daddr 2001:1458::/32 counter accept comment "this is my rule"',
             order: '50'
           )
@@ -74,8 +78,9 @@ describe 'nftables::simplerule' do
         end
 
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
+          expect(subject).to contain_nftables__rule('default_in-my_default_rule_name').with(
             content: 'tcp sport {1-2} tcp dport {333-334} accept'
           )
         }
@@ -91,8 +96,9 @@ describe 'nftables::simplerule' do
         end
 
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
+          expect(subject).to contain_nftables__rule('default_in-my_default_rule_name').with(
             content: 'tcp sport {433, 435} tcp dport {333, 335} accept'
           )
         }
@@ -107,8 +113,9 @@ describe 'nftables::simplerule' do
         end
 
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
+          expect(subject).to contain_nftables__rule('default_in-my_default_rule_name').with(
             content: 'tcp sport {555} accept'
           )
         }
@@ -123,8 +130,9 @@ describe 'nftables::simplerule' do
         end
 
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
+          expect(subject).to contain_nftables__rule('default_in-my_default_rule_name').with(
             content: 'ip version 4 tcp dport {333} accept'
           )
         }
@@ -139,8 +147,9 @@ describe 'nftables::simplerule' do
         end
 
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
+          expect(subject).to contain_nftables__rule('default_in-my_default_rule_name').with(
             content: 'ip6 version 6 udp dport {33} accept'
           )
         }
@@ -155,8 +164,9 @@ describe 'nftables::simplerule' do
         end
 
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
+          expect(subject).to contain_nftables__rule('default_in-my_default_rule_name').with(
             content: 'ip6 version 6 tcp dport {35} accept'
           )
         }
@@ -172,8 +182,9 @@ describe 'nftables::simplerule' do
         end
 
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
+          expect(subject).to contain_nftables__rule('default_in-my_default_rule_name').with(
             content: 'tcp dport {33} ip daddr 192.168.0.1/24 accept'
           )
         }
@@ -187,8 +198,9 @@ describe 'nftables::simplerule' do
         end
 
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
+          expect(subject).to contain_nftables__rule('default_in-my_default_rule_name').with(
             content: 'ip6 daddr 2001:1458::1 accept'
           )
         }
@@ -202,8 +214,9 @@ describe 'nftables::simplerule' do
         end
 
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
+          expect(subject).to contain_nftables__rule('default_in-my_default_rule_name').with(
             content: 'ip6 saddr 2001:1458:0000:0000:0000:0000:0000:0003 accept'
           )
         }
@@ -217,8 +230,9 @@ describe 'nftables::simplerule' do
         end
 
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
+          expect(subject).to contain_nftables__rule('default_in-my_default_rule_name').with(
             content: 'ip saddr 172.16.1.5 accept'
           )
         }
@@ -232,8 +246,9 @@ describe 'nftables::simplerule' do
         end
 
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
+          expect(subject).to contain_nftables__rule('default_in-my_default_rule_name').with(
             content: 'ip6 daddr @my6_set accept'
           )
         }
@@ -248,8 +263,9 @@ describe 'nftables::simplerule' do
         end
 
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
+          expect(subject).to contain_nftables__rule('default_in-my_default_rule_name').with(
             content: 'ip daddr @my4_set accept'
           )
         }
@@ -264,8 +280,9 @@ describe 'nftables::simplerule' do
         end
 
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
+          expect(subject).to contain_nftables__rule('default_in-my_default_rule_name').with(
             content: 'ip6 saddr @my6_set accept'
           )
         }
@@ -279,8 +296,9 @@ describe 'nftables::simplerule' do
         end
 
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
+          expect(subject).to contain_nftables__rule('default_in-my_default_rule_name').with(
             content: 'counter accept'
           )
         }
@@ -297,8 +315,9 @@ describe 'nftables::simplerule' do
         end
 
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
+          expect(subject).to contain_nftables__rule('default_in-my_default_rule_name').with(
             content: 'tcp sport {80} counter continue'
           )
         }
diff --git a/spec/type_aliases/nftables_addr_spec.rb b/spec/type_aliases/nftables_addr_spec.rb
index 3e1d610..d99ae2d 100644
--- a/spec/type_aliases/nftables_addr_spec.rb
+++ b/spec/type_aliases/nftables_addr_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'Nftables::Addr' do
diff --git a/spec/type_aliases/nftables_port_spec.rb b/spec/type_aliases/nftables_port_spec.rb
index ccd649a..399275f 100644
--- a/spec/type_aliases/nftables_port_spec.rb
+++ b/spec/type_aliases/nftables_port_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'Nftables::Port' do
diff --git a/spec/type_aliases/nftables_rulename_spec.rb b/spec/type_aliases/nftables_rulename_spec.rb
index 4406573..1d6db0e 100644
--- a/spec/type_aliases/nftables_rulename_spec.rb
+++ b/spec/type_aliases/nftables_rulename_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'Nftables::RuleName' do
diff --git a/spec/type_aliases/nftables_simplerulename_spec.rb b/spec/type_aliases/nftables_simplerulename_spec.rb
index ccbf1ac..8122684 100644
--- a/spec/type_aliases/nftables_simplerulename_spec.rb
+++ b/spec/type_aliases/nftables_simplerulename_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'Nftables::SimpleRuleName' do
diff --git a/spec/unit/facter/nftables_spec.rb b/spec/unit/facter/nftables_spec.rb
index b2fdf37..6c48ccf 100644
--- a/spec/unit/facter/nftables_spec.rb
+++ b/spec/unit/facter/nftables_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables' do
@@ -14,7 +16,7 @@ describe 'nftables' do
     let(:nft_version_result) { "nftables v0.9.15 (Topsy)\n" }
 
     it 'returns valid fact' do
-      expect(Facter.fact('nftables').value).to eq('tables' => ['inet-firewalld', 'ip-firewalld'], 'version' => '0.9.15')
+      expect(Facter.fact('nftables').value).to eq('tables' => %w[inet-firewalld ip-firewalld], 'version' => '0.9.15')
     end
   end
 
